curl --request GET \
--url https://dev.intermezzo.ai/organizations/{organization_id}/payrolls/statuses \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"version": 123,
"country_code": "<string>",
"status": "DRAFT",
"content": {
"payroll_calculation": {
"task_id": "<string>",
"status": "DRAFT"
},
"calculation_approve": {
"task_id": "<unknown>",
"status": "DRAFT"
},
"hmrc_fps_submission": {
"task_id": "<string>",
"status": "DRAFT"
},
"payslip_generation": {
"task_id": "<string>",
"status": "DRAFT"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
],
"pagination": {
"limit": 123,
"hasNext": false,
"hasPrev": false,
"nextCursor": "<string>",
"prevCursor": "<string>",
"total": 0
}
}curl --request GET \
--url https://dev.intermezzo.ai/organizations/{organization_id}/payrolls/statuses \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"version": 123,
"country_code": "<string>",
"status": "DRAFT",
"content": {
"payroll_calculation": {
"task_id": "<string>",
"status": "DRAFT"
},
"calculation_approve": {
"task_id": "<unknown>",
"status": "DRAFT"
},
"hmrc_fps_submission": {
"task_id": "<string>",
"status": "DRAFT"
},
"payslip_generation": {
"task_id": "<string>",
"status": "DRAFT"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
],
"pagination": {
"limit": 123,
"hasNext": false,
"hasPrev": false,
"nextCursor": "<string>",
"prevCursor": "<string>",
"total": 0
}
}Get token from Auth0 and paste it here
1 <= x <= 100Was this page helpful?